using System;

namespace ConsoleApp10
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            long l = long.Parse(s[1]);

            s= Console.ReadLine().Split();
            bool ok = true;
            for (int i=0;i<n;i++)
            {
                long h = long.Parse(s[i]);

                if (h <= l)
                {
                    Console.WriteLine(i+1);
                    ok=false;
                    break;
                }
            }

            if (ok)
            {
                Console.WriteLine("-1");
            }
        }
    }
}